Summary: Throttleable lightweight httpd server
Name: thttpd
Version: 2.10
Release: 1
Group: System Environment/Daemons
URL: http://www.acme.com/software/thttpd
Source0: thttpd-%{PACKAGE_VERSION}.tar.gz
Source1: thttpd.init
Copyright: distributable (BSD)
BuildRoot: /var/tmp/thttpd-root
Prefix: /usr

%description
Thttpd is a very compact no-frills httpd serving daemon that can handle
very high loads.  While lacking many of the advanced features of
Apachee, thttpd operates without forking and is extremely efficient in
memory use.  Basic support for cgi scripts, authentication, and ssi is
provided for.  Advanced features include the ability to throttle traffic.

%prep

%setup -q
./configure --prefix=%{prefix}
%build
CFLAGS=$RPM_OPT_FLAGS make WEBDIR=/home/thttpd BINDIR=/usr/sbin prefix=/usr CGIBINDIR=/home/thttpd/cgi-bin WEBGROUP=thttpd

%install
/usr/sbin/useradd thttpd ||:

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/thttpd/cgi-bin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m0755 $RPM_SOURCE_DIR/thttpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/thttpd

mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make WEBGROUP=thttpd WEBDIR=$RPM_BUILD_ROOT/home/thttpd \
		CGIBINDIR=$RPM_BUILD_ROOT/home/thttpd/cgi-bin \
		prefix=$RPM_BUILD_ROOT%{prefix} install



strip $RPM_BUILD_ROOT/home/thttpd/cgi-bin/* ||:
strip $RPM_BUILD_ROOT%{prefix}/sbin/* ||:
gzip $RPM_BUILD_ROOT%{prefix}/man/{man1,man8}/* ||:

/usr/sbin/userdel thttpd ||:

%pre
/usr/sbin/useradd -u 72 thttpd 

%post
/sbin/chkconfig --add thttpd


%postun
/usr/sbin/userdel thttpd 
(cd /etc/rc.d/init.d 
/sbin/chkconfig --del thttpd)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FILES README INSTALL TODO
/etc/rc.d/init.d/*
%attr(-,bin,bin)/usr/sbin/thttpd
%attr(-,root,thttpd)/usr/sbin/makeweb
/usr/sbin/htpasswd
/usr/sbin/syslogtocern
%attr(-,thttpd,thttpd)/home/thttpd/cgi-bin
/usr/man/man8/*
/usr/man/man1/*

%changelog
* Thu Dec 16 1999 Tim Powers <timp@redhat.com>
- based on spec file in Contrib|Net
- major spec file cleanups, reorg, too many to mention
- initial build for Powertools
- made init script chkconfig compliant
